stages:
  - build
  - deploy

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  DOCUMENT: "RTOS_Analysis_and_Rust_Introduction.pdf"


latex:
  stage: build
  image: aergus/latex
  script:
    - make release
  artifacts:
    paths:
      - $DOCUMENT
  only:
    - master

pages:
  stage: deploy
  image: rust:buster
  dependencies: 
    - latex
  before_script:
    - wget -qO- https://github.com/rust-lang/mdBook/releases/download/v0.4.6/mdbook-v0.4.6-x86_64-unknown-linux-gnu.tar.gz | tar -xvz -C /usr/local/bin
    - chmod 0755 /usr/local/bin/mdbook
  script:
    - apt update -qy
    - apt install -y python3-dev python3-pip
    - pip3 install -r mdbook/latex2md/requirements.txt
    - cp $DOCUMENT mdbook/src
    - ./mdbook/convert.sh
    - mv mdbook/book public
  artifacts:
    paths:
      - public
  only:
    - master

